cnetz_sim(1)

NAME
cnetz_sim - http://osmocom-analog.eversberg.eu/docs/

SYNOPSIS
cnetz_sim [options] <command>

  General options:

-h --help

    This help

--config [~/]<path to config file>

    Give a config file to use. If it starts with '~/', path is at home dir. Each line in config file is one option, '-' or '--' must not be given!

-v --verbose <level> | <level>,<category>[,<category>[,...]] | list

    Use 'list' to get a list of all levels and categories. Verbose level: digit of debug level (default = '3') Verbose level+category: level digit followed by one or more categories -> If no category is specified, all categories are selected

-v --verbose date

    Show date with debug output

-s --serial-device <device>

    Serial device (default = '/dev/ttyUSB0')

-b --baud-rate <baud>

    Serial baud rate (default = 9600)

-w --write-pdu <filename>

    Write PDU to file (sniffer only)

  SIM card simulator options:

-E --eeprom <name>

    Stores and reads EEPROM data to/from file. The file is stored at "~/osmocom/analog/sim_<name>.eeprom". If the file dos not exit yet, the default values are used. Values are always overwritten with card data, if defined.

-F --futln <phone number>

    Give 7 digits subscriber ID (default = '2222001')

--sicherung <security code>

    Card's security code for simple authentication (default = '3103')

--kartenkennung <card ID>

    Card's ID. Not relevant! (default = '3')

--sonder <special code>

    Special codes are used for service cards (default = '0')

--wartung <maitenance code>

    May define features of service cards (default = '65535')

-P --pin <pin> | 0000

    Give 4 .. 8 digits of pin. Use '0000' to disable. (default = '0000') This will also reset the PIN error counter and unlocks the card.

-D --directory <location> <number> <name> [--directory ...]

    Give storage location '01' .. '80'. To erase give "" as number and name. This option can be given multiple times for more entries.

-A --authenticate 0x...

    Give 64 Bit value for authentication response. (default = all bits 1)

  Commands are:

    sniff - To passively sniff SIM card communication sim - To simulate a SIM card

[0;33m[1;31mDOPTIONS[0;m[0;33m [1;31mERROR[0;m[0;33m options.c:302 Given command line option '--version' is not a valid option, use '-h' for help![0;m

SEE ALSO
The full documentation for [0;33m[1;32mDOPTIONS[0;m[0;33m is maintained as a Texinfo manual. If the info and [0;33m[1;32mDOPTIONS[0;m[0;33m programs are properly installed at your site, the command

    info [0;33m[1;32mDOPTIONS[0;m[0;33m

should give you access to the complete manual.